Subject: Re: bug#28631: 25.3.50; Deactivate mark with Ctrl-g mess up the primary-selection

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Oct 2017 09:56:20 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Fri, 13 Oct 2017 22:09:49 -0400
> 
> >> That patch only has affect during winner-undo, no?
> > I think so.
> 
> Actually, I thought about it a bit more, and realized it could also
> affect things like post-command hooks that are run after winner-undo.
> 
> >> Maybe only the (setf (winner-active-region) (cdr entry)) part should be
> >> skipped?
> > We need to ban
> > (set-mark (car entry))
> > as well, because it updates the primary selection.
> 
> Ah, okay.
> 
> > I assume if someone have set select-enable-primary, then she
> > probably doesn't want winner-undo to change her selection.
> 
> Seems reasonable.

Please push to emacs-26 in a few days, if no comments or objections
surface.

Thanks.